import owlift
import cv2

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

ow.color = owlift.OwColor.RAINBOW
#ow.color = owlift.OwColor.BLUE_ORANGE
#ow.color = owlift.OwColor.GRAY

ow.gain_control = owlift.OwGainControl.AUTO_NON_LINEAR
#ow.gain_control = owlift.OwGainControl.AUTO_LINEAR

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

fc0 = 0
ow.capture_start()

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        c = cv2.waitKey(10)
        if c == 27:
            break
        continue

    fc0 = fc
    temp, img, meta = ow.frame

    cv2.imshow(winName, img)
